/*
 *  ScanGear MP for Linux
 *  Copyright CANON INC. 2007-2008
 *  All Rights Reserved.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307, USA.
 *
 * NOTE:
 *  - As a special exception, this program is permissible to link with the
 *    libraries released as the binary modules.
 *  - If you write modifications of your own for these programs, it is your
 *    choice whether to permit this exception to apply to your modifications.
 *    If you do not wish that, delete this exception.
*/


#ifndef	_CNMSSTRINGS_H_
#define	_CNMSSTRINGS_H_

/* N_ macro */
#include "support.h"

/* cnmsstr.c */
	/* STRSUB_S_SOURCE */
	#define	STR_CNMS_S_SOURCE_PHOTO				N_( "Photo(Color)" )
	#define	STR_CNMS_S_SOURCE_MAGAZINE			N_( "Magazine(Color)" )
	#define	STR_CNMS_S_SOURCE_NEWSPAPER			N_( "Newspaper(B&W)" )
	#define	STR_CNMS_S_SOURCE_DOCUMENT			N_( "Document(Grayscale)" )
	#define	STR_CNMS_S_SOURCE_GRAYNEWSPAPER		N_( "Newspaper(Grayscale)" )

	/* STRSUB_S_DESTINATION */
	#define	STR_CNMS_S_DESTINATION_PRINT		N_( "Print(300dpi)" )
	#define	STR_CNMS_S_DESTINATION_DISPLAY		N_( "Image display(150dpi)" )
	#define	STR_CNMS_S_DESTINATION_OCR			N_( "OCR(300dpi)" )
	#define	STR_CNMS_S_DESTINATION_PRINT_NDPI	N_( "Print" )
	#define	STR_CNMS_S_DESTINATION_DISPLAY_NDPI	N_( "Image display" )
	#define	STR_CNMS_S_DESTINATION_OCR_NDPI		N_( "OCR" )

	/* STRSUB_S_OUTPUT_SIZE,STRSUB_A_PAPER_SIZE,STRSUB_A_OUTPUT_SIZE */
	#define	STR_CNMS_SIZE_FREE				N_( "Flexible" )
	#define	STR_CNMS_SIZE_CARD				N_( "Card" )
	#define	STR_CNMS_SIZE_L_LA				N_( "L Landscape" )
	#define	STR_CNMS_SIZE_L_PO				N_( "L Portrait" )
	#define	STR_CNMS_SIZE_LL_LA				N_( "2L Landscape" )
	#define	STR_CNMS_SIZE_LL_PO				N_( "2L Portrait" )
	#define	STR_CNMS_SIZE_4_6_LA			N_( "4\" x 6\" Landscape" )
	#define	STR_CNMS_SIZE_4_6_PO			N_( "4\" x 6\" Portrait" )
	#define	STR_CNMS_SIZE_POSTCARD			N_( "Hagaki" )
	#define	STR_CNMS_SIZE_A5				N_( "A5" )
	#define	STR_CNMS_SIZE_B5				N_( "B5" )
	#define	STR_CNMS_SIZE_A4				N_( "A4" )
	#define	STR_CNMS_SIZE_LETTER			N_( "Letter" )
	#define	STR_CNMS_SIZE_LEGAL				N_( "Legal" )
	#define	STR_CNMS_SIZE_B4				N_( "B4" )
	#define	STR_CNMS_SIZE_A3				N_( "A3" )
	#define	STR_CNMS_SIZE_128_128			N_( "128 x 128 pixels" )
	#define	STR_CNMS_SIZE_640_480			N_( "640 x 480 pixels" )
	#define	STR_CNMS_SIZE_800_600			N_( "800 x 600 pixels" )
	#define	STR_CNMS_SIZE_1024_768			N_( "1024 x 768 pixels" )
	#define	STR_CNMS_SIZE_1280_1024			N_( "1280 x 1024 pixels" )
	#define	STR_CNMS_SIZE_1600_1200			N_( "1600 x 1200 pixels" )
	#define	STR_CNMS_SIZE_2048_1536			N_( "2048 x 1536 pixels" )
	#define	STR_CNMS_SIZE_2272_1704			N_( "2272 x 1704 pixels" )
	#define	STR_CNMS_SIZE_2592_1944			N_( "2592 x 1944 pixels" )
	/* only STRSUB_A_PAPER_SIZE */
	#define	STR_CNMS_SIZE_FULL_PAGE			N_( "Full Platen" )

	/* STRSUB_A_SOURCE */
	#define	STR_CNMS_A_SOURCE_PLATEN		N_( "Platen" )

	/* STRSUB_A_COLOR_MODE */
	#define	STR_CNMS_A_COLOR_MODE_COLOR				N_( "Color" )
	#define	STR_CNMS_A_COLOR_MODE_COLOR_DOCUMENTS	N_( "Color(Documents)" )
	/* add space */
	#define	STR_CNMS_A_COLOR_MODE_GRAY				N_( "Grayscale " )
	#define	STR_CNMS_A_COLOR_MODE_MONO				N_( "Black and White" )

	/* STRSUB_A_UNIT */
	#define	STR_CNMS_A_UNIT_PIXEL			N_( "pixels" )
	#define	STR_CNMS_A_UNIT_INCH			N_( "inches" )
	#define	STR_CNMS_A_UNIT_CENTIMETER		N_( "centimeters" )
	#define	STR_CNMS_A_UNIT_MILLIMETER		N_( "mm" )

	/* ON,OFF */
	#define	STR_CNMS_ON						N_( "ON" )
	#define	STR_CNMS_OFF					N_( "OFF" )

/* coloradjuststr.h */
	/* Channel list strings */
	#define	STR_CH_LIST_ITEM_MASTER			N_("Master")
	#define	STR_CH_LIST_ITEM_RED			N_("Red")
	#define	STR_CH_LIST_ITEM_GREEN			N_("Green")
	#define	STR_CH_LIST_ITEM_BLUE			N_("Blue")
	#define	STR_CH_LIST_ITEM_GRAYSCALE		N_("Grayscale")

	/* Tone Curve strings */
	#define	STR_TC_LIST_ITEM_NO_AJUST		N_("No correction")
	#define	STR_TC_LIST_ITEM_EXP_OVER		N_("Overexposure")
	#define	STR_TC_LIST_ITEM_EXP_UNDER		N_("Underexposure")
	#define	STR_TC_LIST_ITEM_HIGH_CONT		N_("High contrast")

/* save_dialog.c */
	#define	MSG_SAVE_ERROR_NO_INPUT_FNAME	N_("The file name is not specified.")
	#define	MSG_SAVE_ERROR_NO_ACCESS_PERM	N_("You do not have permission to access the specified file.\nSpecify another file name or save the file in another directory.")
	#define	MSG_SAVE_ERROR_INVALID_DIR		N_("The specified directory does not exist or you do not have permission to access the directory.\nSave the file in another directory.")
	#define	MSG_SAVE_ERROR_SERIOUS_ERROR1	N_("The specified file name is invalid.\nSpecify another file name.")

/* child_dialog.c */
	#define	MSG_CHILD_DLG_NO_MESS			N_( "Do not display this message again." )
	
	#define	MSG_CHILD_DLG_RESET				N_( "Resets the settings to default." )
	#define	MSG_CHILD_DLG_100MBOVER			N_( "You are trying to scan an image exceeding 100 MB. \nScanning images of this size puts a considerable load on the computer, \nand some applications may be unable to load the image. \nAre you sure you want to continue?" )
	#define	MSG_CHILD_DLG_OVER_PIXEL		N_( "Scanning cannot be performed unless the crop size, \noutput size or output resolution is reduced to \n%s x %s pixels or less." )
	#define	MSG_CHILD_DLG_WARN_MOIRE		N_( "If you keep Unsharp Mask ON, Descreen may not work." )

/* progress_bar.c */
	#define	STR_PROGRESSBAR_ID_SCAN				N_( "Scanning..." )
	#define	STR_PROGRESSBAR_ID_SAVE				N_( "Saving..." )
	#define	STR_PROGRESSBAR_ID_TRANSFER_GIMP	N_( "Transferring..." )

/* scanmsg.h */
	#define	MSG_ERR_CANCELD_BY_STOP				N_( "Scanning canceled by user." )
	#define	MSG_ERR_SCANNER_BUSY_COPYING		N_( "Copying...  Scan after it is complete." )
	#define	MSG_ERR_SCANNER_BUSY_PRINTING		N_( "Printing...  Scan after it is complete." )
	#define	MSG_ERR_SCANNER_BUSY_PRINTERMNT		N_( "Printer maintenance is in progress. Scan after it is complete." )
	#define	MSG_ERR_NOT_FIND_SCANNER			N_( "Cannot communicate with scanner.\nCable may be disconnected or scanner may be turned off.\nCheck status.\nScanner driver will be closed." )
	#define	MSG_ERR_DISK_FULL					N_( "There is not enough free disk space to complete the scan.\nScanner driver will be closed." )
	#define	MSG_ERR_INTERNAL					N_( "Internal Error occurred.\nScanner driver will be closed." )
	#define	MSG_ERR_FATAL						N_( "Error in scanner.\nTurn off scanner and follow instructions in manual.\nScanner driver will be closed." )
	/* Ver.1.20 */
	#define	MSG_ERR_DEVICE_NOT_AVAILABLE		N_( "Printer is in use or an error has occurred. Check status.\nScanner Driver will be closed." )
	#define	MSG_ERR_DEVICE_INITIALIZE			N_( "Printer initialization is in progress. Scan after it is complete." )
	#define	MSG_ERR_SYSTEM						N_( "An error has occurred.\nTurn the device off and then back on.\nScanner driver will be closed." )

/* scanflow.c */
	#define	MSG_EVERY_CALIBRATION_ON			N_( "Processing calibration data from a scanner.\nDo not open the document cover." )
	#define	MSG_EVERY_CALIBRATION_OFF			N_( "Scanner is warming up...\nDo not open the document cover." )


#endif /* _CNMSSTRINGS_H_ */

